devel/rt4 - The NetBSD Packages Collection

Industrial-grade ticketing system

RT is an industrial-grade ticketing system. It lets a group of
people intelligently and efficiently manage requests submitted by
a community of users. RT is used by systems administrators, customer
support staffs, NOCs, developers and even marketing departments at
over a thousand sites around the world.

This packages tracks RT 4.x branch.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

www/p5-Apache-Session www/p5-CGI www/p5-CGI-Emulate-PSGI www/p5-CGI-PSGI devel/p5-Class-Accessor devel/p5-Class-Tiny security/p5-Crypt-Eksblowfish www/p5-CSS-Squish time/p5-Date-Extract devel/p5-Data-GUID devel/p5-Date-Manip mail/p5-Email-Address-List time/p5-DateTime time/p5-DateTime-Format-Natural time/p5-DateTime-Locale databases/p5-DBI databases/p5-DBIx-SearchBuilder devel/p5-Devel-GlobalDestruction devel/p5-Devel-StackTrace mail/p5-Email-Address mail/p5-Email-Address-List devel/p5-File-ShareDir textproc/p5-HTML-FormatText-WithLinks textproc/p5-HTML-FormatText-WithLinks-AndTables www/p5-HTML-Mason-PSGIHandler www/p5-HTML-Quoted www/p5-HTML-RewriteAttributes www/p5-HTML-Scrubber devel/p5-IPC-Run3 converters/p5-JSON converters/p5-JSON-MaybeXS devel/p5-List-MoreUtils misc/p5-Locale-Maketext-Fuzzy misc/p5-Locale-Maketext-Lexicon devel/p5-Locale-PO devel/p5-Log-Dispatch mail/p5-MailTools mail/p5-MIME-tools devel/p5-Module-Refresh devel/p5-Module-Versions-Report devel/p5-Net-CIDR www/p5-Plack www/p5-Starlet textproc/p5-Regexp-Common net/p5-Regexp-Common-net-CIDR net/p5-Regexp-IPv6 devel/p5-Role-Basic devel/p5-Scalar-List-Utils devel/p5-Symbol-Global-Name security/p5-Text-Password-Pronounceable textproc/p5-Text-Quoted textproc/p5-Text-Template devel/p5-Symbol-Global-Name textproc/p5-Text-WikiFormat textproc/p5-Text-Wrapper time/p5-Time-modules devel/p5-Tree-Simple devel/p5-UNIVERSAL-require textproc/p5-XML-RSS www/p5-HTML-Mason security/p5-Crypt-SSLeay www/p5-LWP-Protocol-https www/p5-libwww security/p5-Mozilla-CA www/p5-HTTP-Message devel/p5-Term-ReadKey www/p5-URI mail/p5-MIME-Types graphics/p5-GD graphics/p5-GDGraph graphics/p5-GDTextUtil graphics/p5-GraphViz devel/p5-File-Which security/p5-GnuPG-Interface devel/p5-PerlIO-eol time/p5-Data-ICal textproc/p5-String-ShellQuote security/p5-Crypt-X509 devel/p5-Module-Pluggable converters/p5-Convert-Color textproc/p5-Text-Reform devel/p5-Sub-HandlesVia www/p5-FCGI www/p5-FCGI-ProcManager databases/p5-DBD-mysql lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfrt4-4.2.16nb6.tgz
NetBSD 8.0earmv7hfrt4-4.2.16nb5.tgz
NetBSD 8.0earmv7hfrt4-4.2.16nb6.tgz
NetBSD 8.0i386rt4-4.2.16nb5.tgz
NetBSD 8.0i386rt4-4.2.16nb6.tgz
NetBSD 8.0x86_64rt4-4.2.16nb5.tgz
NetBSD 8.0x86_64rt4-4.2.16nb6.tgz
NetBSD 9.0aarch64rt4-4.2.16nb6.tgz
NetBSD 9.0aarch64rt4-4.2.16nb5.tgz
NetBSD 9.0aarch64rt4-4.2.16nb6.tgz
NetBSD 9.0earmv6hfrt4-4.2.16nb6.tgz
NetBSD 9.0earmv6hfrt4-4.2.16nb5.tgz
NetBSD 9.0earmv6hfrt4-4.2.16nb6.tgz
NetBSD 9.0earmv7hfrt4-4.2.16nb6.tgz
NetBSD 9.0earmv7hfrt4-4.2.16nb5.tgz
NetBSD 9.0earmv7hfrt4-4.2.16nb6.tgz
NetBSD 9.0earmv7hfrt4-4.2.16nb6.tgz
NetBSD 9.0i386rt4-4.2.16nb5.tgz
NetBSD 9.0i386rt4-4.2.16nb6.tgz
NetBSD 9.0i386rt4-4.2.16nb6.tgz
NetBSD 9.0mips64ebrt4-4.2.16nb6.tgz
NetBSD 9.0mips64ebrt4-4.2.16nb6.tgz
NetBSD 9.0sparc64rt4-4.2.16nb5.tgz
NetBSD 9.0sparc64rt4-4.2.16nb6.tgz
NetBSD 9.0x86_64rt4-4.2.16nb6.tgz
NetBSD 9.0x86_64rt4-4.2.16nb6.tgz
NetBSD 9.0x86_64rt4-4.2.16nb5.tgz
NetBSD 9.0x86_64rt4-4.2.16nb6.tgz
NetBSD 9.0x86_64rt4-4.2.16nb6.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

mysql
Enable MySQL support.
oracle
Enable Oracle support.
pgsql
Enable PostgreSQL support.
sqlite
Enable SQLite support.
fastcgi
Use FastCGI as the CGI manager.
modperl2
Use modperl 2.x as the CGI manager (with Apache 2.x).

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.